<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="04358256-09dc-46cb-a1b8-3b27d0445f78" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/src/OOP/strategyDesignPattern/Animal.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/OOP/strategyDesignPattern/Strategy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/java_foundations/collections/Collections.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/java_foundations/generics/LLNode.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/java_foundations/generics/LList.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/java_foundations/generics/MyLList.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/java_foundations/streams/Streams.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/AlgorithmsAndDataStuctures/DataStructures.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/AlgorithmsAndDataStuctures/DataStructures.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Main.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Main.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/Chipper.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/Chipper.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/ChipperPaymentService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/ChipperPaymentService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/Hubtel.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/Hubtel.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/HubtelPaymentService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/HubtelPaymentService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/Payment.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/Payment.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/PaymentService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/PaymentService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/dependencyInversion/Store.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/dependencyInversion/Store.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/interfaceSegregation/Client.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/interfaceSegregation/Client.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/interfaceSegregation/HSP.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/interfaceSegregation/HSP.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/interfaceSegregation/Individuals.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/interfaceSegregation/Individuals.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/interfaceSegregation/PayTakers.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/interfaceSegregation/PayTakers.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/interfaceSegregation/Payers.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/interfaceSegregation/Payers.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/liskovSubstitution/Animal.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/liskovSubstitution/Animal.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/liskovSubstitution/Cat.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/liskovSubstitution/Cat.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/liskovSubstitution/Dog.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/liskovSubstitution/Dog.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/liskovSubstitution/MainLS.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/liskovSubstitution/MainLS.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/singleResponsibilityAndOpenClosed/Client.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/singleResponsibilityAndOpenClosed/Client.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/singleResponsibilityAndOpenClosed/SRP.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/singleResponsibilityAndOpenClosed/SRP.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/OOP/singleResponsibilityAndOpenClosed/SendMessages.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/OOP/singleResponsibilityAndOpenClosed/SendMessages.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MacroExpansionManager">
    <option name="directoryName" value="9nli8fvm" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="2" />
  </component>
  <component name="ProjectId" id="2Jr8q9TsqIe6bi59DbAFygAmhoQ" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "ASKED_SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "last_opened_file_path": "C:/Users/bernard.djangbah/Desktop/checklist_fp"
  }
}]]></component>
  <component name="RunManager" selected="Application.Main">
    <configuration name="DataStructures" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="AlgorithmsAndDataStuctures.DataStructures" />
      <module name="checklist" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="AlgorithmsAndDataStuctures.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Main" />
      <module name="checklist" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.DataStructures" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="04358256-09dc-46cb-a1b8-3b27d0445f78" name="Changes" comment="" />
      <created>1672825034310</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1672825034310</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
</project>